/*:::Ventana Modal:::*/

#boton-modal
{ display: none; }

.cont_ocultar
 { display: none;}


#boton-modal:checked ~ .cont_ocultar { display: flex; } 

.cont-modal{
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0; left: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.8));
    justify-content: center;
    align-items: center;
    z-index: 9000;
}

.cont-modal .fichasTec { 
    position: relative; 
    width: 1500px; 
    height: 855px; 
    color: white; 
    background-color: rgba(0, 0, 0, 0.5); 
    border-radius: 5px; 
    padding: 30px;
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    }

    
.cont-modal .fichasTec .enlaces { position: relative; width: 100%; height: 100%;  background-color: white !important; }
.cont-modal .fichasTec figure { position: relative; width: 100%; height: 100%; }
.cont-modal .fichasTec img { width: 100%; object-fit: cover; }
.cont-modal .fichasTec .enlaces a { 
    width: 100%; 
    height: auto; 
    position: absolute; 
    bottom: 0; 
    padding: 8px;
    box-sizing: border-box;
    background-color: #ff6f00;
    color: white;
    text-decoration: none;
    text-align: center;
    display: grid;
    place-items: center;
    transition: 0.5s;
}
.cont-modal .fichasTec .enlaces a:hover { background-color: gray;}

.cont-modal .fichasTec div label { 
    width: 45px; height: 45px; 
    position: absolute; 
    top: 20px; right: 20px; 
    padding: 5px; 
    box-sizing: border-box; 
    background-color: darkred; 
    border-radius: 5px; 
    cursor: pointer; 
    transition: 0.3s; 
}    
.cont-modal .fichasTec div label:hover { background-color: darkgray;}
    
@media (min-width:1025px) and (max-width:1920px) {
    .cont-modal .fichasTec { width: 1000px; height: 573px; }    
    .cont-modal .fichasTec div label { width: 35px; height: 35px; top: 10px; right: 10px; padding: 5px; } 
}
@media (min-width:769px) and (max-width:1024px) {    
    .cont-modal .fichasTec div label { width: 35px; height: 35px; top: 10px; right: 10px; padding: 5px; } 
}
@media (min-width:500px) and (max-width:768px) {  
    .cont-modal .fichasTec div label { width: 30px; height: 30px; top: 0px; right: 0px; padding: 5px; }  
}
@media (max-width:500px) {
    .cont-modal .fichasTec div label { width: 30px; height: 30px; top: 0px; right: 0px; padding: 5px; }
    .cont-modal .fichasTec .enlaces a { width: 100% !important; font-size: 12px;} 
}


@media (max-width:1024px) { .cont-modal .fichasTec { grid-template-columns: repeat(3, 1fr); width: 950px; height: 550px; } }
@media (max-width:820px) { .cont-modal .fichasTec { grid-template-columns: repeat(2, 1fr); width: 650px; height: 850px; } }
@media (min-width:500px) and (max-width:820px) { .cont-modal .fichasTec { grid-template-columns: repeat(2, 1fr); width: 650px; height: 850px; } }
@media (max-width:499px) { .cont-modal .fichasTec { grid-template-columns: repeat(2, 1fr); width: 370px; height: 600px; } }

 
.cerrar-modal{
    width:100%;
    height: 100vh;
    position: absolute;
    top:0; left: 0;
    z-index: -1;
}


/*:::Fin Ventana Modal:::*/